Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2832 - Daily, weekly and monthly times are too close together.
Summary: Daily, weekly and monthly times are too close together.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: crontabs
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 05:37 UTC by deane
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:04:44 UTC


Attachments (Terms of Use)

Description deane 1999-05-15 05:37:57 UTC
The default /etc/crontab runs the daily jobs at 03:02, the
weekly at 03:22 and the monthly at 03:42. Given that some of
the tasks, such as rolling over logs, running updatedb and
doing backups, can take a fair bit of time, it's quite
possible for the daily jobs to run into the weekly ones,
resulting in a lot of competition for resources and
thrashing.

It's simple enough for a sysadmin to edit /etc/crontab and
space the jobs out a bit more, but it would be kinder to
Linux newbies if they were already better spaced out in the
default crontab.

Comment 1 Cristian Gafton 1999-06-16 15:21:59 UTC
No matter how we will space them out, there will always be a potential
of jobs overlapping. This is the responsability of the site admin to
decide. If they are able to write lengthly jobs, they should be able
to figure out how to space them in time too.


------- Additional Comments From   09/30/99 16:38 -------
Personally, I would recommend a slightly different tweak, which is to
specify a different hour for the various levels. Here's what I use:

# run-parts
05 * *    *     * root run-parts /etc/cron.hourly
35 2 *    *     * root run-parts /etc/cron.daily
35 3 *    *     0 root run-parts /etc/cron.weekly
35 4 1    *     * root run-parts /etc/cron.monthly
35 4 2 3,6,9,12 * root run-parts /etc/cron.quarterly

I've moved the hourly stuff to five past each hour to reduce the
likelihood of it overlapping with user crons which tend to get set on
the hour, half or quarter, and the rest runs at 35 past, with the
daily stuff at 2:35, the weekly stuff at 3:35, the monthly stuff at
4:35 on the 1st of each month and the quarterly stuff at 4:35 on the
2nd of each month.


Note You need to log in before you can comment on or make changes to this bug.